slot_descriptions = {
 'AddToPlaylist': {'artist': 'creator of the music item, usually a singer or '
                             'band',
                   'entity name': 'name of the music item or entity',
                   'music item': 'type of music item, usually a song or album',
                   'playlist': 'name of the playlist which typically contains '
                               'a list of songs',
                   'playlist owner': 'person who owns the playlist'},
 'BookRestaurant': {'city': 'location city',
                    'country': 'location country',
                    'cuisine': 'characteristics of food or dishes served at '
                               'the restaurant, usually cultural or regional',
                    'facility': 'facilities or amenities available at the '
                                'restaurant',
                    'party size description': 'description of the people in '
                                              'the dining party',
                    'party size number': 'count of people in the dining party',
                    'poi': 'geographic landmark, typically a building or '
                           'location',
                    'restaurant name': 'The name of the restaurant',
                    'restaurant type': 'style or type of the restaurant',
                    'served dish': 'name of the dish or food requested',
                    'sort': 'metric that defines the order of results',
                    'spatial relation': 'relation with respect to location '
                                        'usually indicating a distance or '
                                        'direction',
                    'state': 'location state',
                    'timeRange': 'range defining the start and end times of '
                                 'an interval'},
 'GetWeather': {'city': 'location city',
                'condition description': 'weather condition to obtain '
                                         'description for',
                'condition temperature': 'degree or intensity of heat in the '
                                         'atmosphere',
                'country': 'location country',
                'current location': 'current location',
                'geographic poi': 'geographic landmark, typically a building '
                                  'or location',
                'spatial relation': 'relation with respect to location usually '
                                    'indicating a distance or direction',
                'state': 'location state',
                'timeRange': 'range defining the start and end times of an '
                             'interval'},
 'PlayMusic': {'album': 'name of the music album to play',
               'artist': 'creator of the music item, usually a singer or band',
               'genre': 'category or style of music',
               'music item': 'type of music item, usually a song or album',
               'playlist': 'name of the playlist which typically contains a '
                           'list of songs',
               'service': 'music streaming service to use to handle the '
                          'request',
               'sort': 'metric that defines the top order of music to be '
                       'played',
               'track': 'name of the song or composition',
               'year': 'year'},
 'RateBook': {'best rating': 'highest rating on the scale',
              'object name': 'title of the written piece of work',
              'object part of series type': 'type of overall collection or '
                                            'series of writing',
              'object select': 'selection identifier such as this or current',
              'object type': 'type of the written piece of work',
              'rating unit': 'unit of ratings, usually stars or points',
              'rating value': 'numerical score of the user rating'},
 'SearchCreativeWork': {'object name': 'title of the creative work',
                        'object type': 'type of creative work such as movie, '
                                       'song, book or game'},
 'SearchScreeningEvent': {'location name': 'name of a geographical location, '
                                           'usually an area or a city',
                          'movie name': 'title of the movie',
                          'movie type': 'category or style of movie',
                          'object location type': 'type of location that the '
                                                  'movie is played in',
                          'object type': 'type of movie object, usually '
                                         'schedule or times',
                          'spatial relation': 'relation with respect to '
                                              'location usually indicating a '
                                              'distance or direction',
                          'timeRange': 'range defining the start and end '
                                       'times of an interval'}}
